
<!-- Warning: This file has been autogenerated by tools/makedoc.py. Manual edits will be overwritten. -->
<html>
    <head>
        <title>freesmartphone.org Context Manager Interface</title>
        <link rel="stylesheet" type="text/css" href="http://git.freesmartphone.org/?p=specs.git;a=blob_plain;f=html/style.css;hb=HEAD" />
    </head>
    <body>
    <div class="topbox">freesmartphone.org Framework DBus Interface Specification</div>


<h1>org.freesmartphone.Context.Manager</h1><h2>Description</h2>
<p>The Context Manager interface allows you to register for environmental  context updates, such as geolocation updates, region monitoring, etc.</p>
<h2>Namespace</h2>
<p><tt>org.freesmartphone.Context.Manager</tt></p>
<h2>Methods</h2><ul>
<li><a href="#SubscribeLocationUpdates">SubscribeLocationUpdates</a></li>
<li><a href="#UnsubscribeLocationUpdates">UnsubscribeLocationUpdates</a></li>
</ul>
<h2>Signals</h2><i>None</i>
<h2>Properties</h2><i>None</i>
<h2>Errors</h2><i>None</i>
<h1>Methods</h1><h3><a name="SubscribeLocationUpdates">SubscribeLocationUpdates</a> ( s )</h3>
<p><i>Description:</i> Subscribe for receiving location updates. </p><p><div class="rationale"><p>To receive location updates, clients need to implement the <a href="http://docs.freesmartphone.org/org.freesmartphone.Context.html#Client">Client</a> interface </p></div></p><h4>Parameters</h4><i>s: desired_accuracy</i><p>The desired accuracy. Valid values are: navigation, best, nearest-ten-meters, hundred-meters, one-kilometer, three-kilometers, hundred-kilometers. </p>
<h3><a name="UnsubscribeLocationUpdates">UnsubscribeLocationUpdates</a> ( )</h3><p><i>Description:</i> Unsubscribe from receiving location updates. </p>

    <hr/>
    <small>
    | Specified 2008-2012 by the <a href="http://www.freesmartphone.org">Freesmartphone.org</a> team. | Join us and discuss further drafts smartphones-standards (at) linuxtogo (dot) org
    </small>
    <hr/>
    </body>
</html>

